/*
This source file is part of HGamer3D
(A project to enable 3D game development in Haskell)
For the latest info, see http://www.althainz.de/HGamer3D.html

(c) 2011 Peter Althainz

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

typedef struct hg3dclass_struct {
	void *ptr;
	void *fptr;
} hg3dclass_struct;

void *getCAudioClassPtr(hg3dclass_struct inSt, const char* className);

typedef void ClassILogger; 
hg3dclass_struct getCAudioClass_ILogger(void *ptrIn);

typedef void ClassIAudioDeviceList; 
hg3dclass_struct getCAudioClass_IAudioDeviceList(void *ptrIn);

typedef void ClassIAudioSource; 
hg3dclass_struct getCAudioClass_IAudioSource(void *ptrIn);

typedef void ClassIAudioManager; 
hg3dclass_struct getCAudioClass_IAudioManager(void *ptrIn);

typedef void ClassIListener; 
hg3dclass_struct getCAudioClass_IListener(void *ptrIn);

typedef void ClassIAudioCapture; 
hg3dclass_struct getCAudioClass_IAudioCapture(void *ptrIn);

